﻿using MauiAppStock.Models;
using MauiAppStock.Data;

namespace MauiAppStock.Views
{
    public partial class AddPiecePage : ContentPage
    {
        public AddPiecePage()
        {
            InitializeComponent();
        }

        private async void OnSaveClicked(object sender, EventArgs e)
        {
            if (double.TryParse(PrixEntry.Text, out double prix) && int.TryParse(StockEntry.Text, out int stock))
            {
                var piece = new Piece
                {
                    Nom = NomEntry.Text,
                    Description = DescriptionEditor.Text,
                    Prix = prix,
                    Stock = stock,
                    Fournisseur = FournisseurEntry.Text
                };
                await Database.AddPieceAsync(piece);
                await Navigation.PopAsync();
            }
            else
            {
                await DisplayAlert("Erreur", "Veuillez vérifier les valeurs du prix et du stock.", "OK");
            }
        }
    }
}